#!/bin/bash
mkdir -p /etc/ukui/lite-config

CPU_MODEL=`cat /proc/cpuinfo | grep "model name" | sed -n 1p | awk '{ print $NF }'`

#UKUI-Mini模式下，默认关闭启动vpn
if [ -f /etc/xdg/autostart/kylin-vpn.desktop ]; then
	mv  /etc/xdg/autostart/kylin-vpn.desktop  /etc/ukui/lite-config/
	if [ -f /etc/ukui/lite-config/kylin-vpn.desktop ]; then
			echo "-------将vpn的desktop移动到lite-config文件夹成功--------" >> /etc/ukui/lite-config/.ukui-mini.log
	else
			echo "-------将vpn的desktop移动到lite-config文件夹失败--------" >> /etc/ukui/lite-config/.ukui-mini.log
	fi
fi

#UKUI-Mini模式下，默认关闭启动kylin-nm
# if [ -f /etc/xdg/autostart/kylin-nm.desktop ]; then
# 	mv  /etc/xdg/autostart/kylin-nm.desktop  /etc/ukui/lite-config/
# 	if [ -f /etc/ukui/lite-config/kylin-nm.desktop ]; then
# 			echo "-------将kylin-nm的desktop移动到lite-config文件夹成功--------" >> /etc/ukui/lite-config/.ukui-mini.log
# 	else
# 			echo "-------将kylin-nm的desktop移动到lite-config文件夹失败--------" >> /etc/ukui/lite-config/.ukui-mini.log
# 	fi
# fi

#UKUI-Mini模式下，默认关闭启动bluetooth
if [ -f /etc/xdg/autostart/ukui-bluetooth.desktop ]; then
	mv  /etc/xdg/autostart/ukui-bluetooth.desktop  /etc/ukui/lite-config/
	if [ -f /etc/ukui/lite-config/ukui-bluetooth.desktop ]; then
			echo "-------将bluetooth的desktop移动到lite-config文件夹成功--------" >> /etc/ukui/lite-config/.ukui-mini.log
	else
			echo "-------将bluetooth的desktop移动到lite-config文件夹失败--------" >> /etc/ukui/lite-config/.ukui-mini.log
	fi
fi

#UKUI-Mini模式下，默认关闭启动ssh
systemctl disable ssh
echo "-------将ssh disable--------" >> /etc/ukui/lite-config/.ukui-mini.log



# e2000下添加oom测试项
if [ "${CPU_MODEL}" = "Phytium,FT-E2000/Big" ]; then
    if [ -f /lib/systemd/system/lightdm.service ]; then
	ret=`cat /lib/systemd/system/lightdm.service|grep OOMScoreAdjust`
	if [ "x$ret" = "x" ];then
        	sed -i '/^Restart=/ a OOMScoreAdjust=-1000' /lib/systemd/system/lightdm.service
	fi
    fi
fi